﻿using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTabControlStylingCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();

            
            
        }    

        private void XamTabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            XamTabControl xtc = sender as XamTabControl;
            foreach (var x in xtc.Items)
            {
                if (x is TabItemEx)
                {
                    TabItemEx tie = x as TabItemEx;
                    if (tie.IsSelected)
                    {
                        tie.Background = Brushes.Blue;
                    }
                }
            }
        }
    }
}
